//
// "$Id$"
//
// Hello, World! program for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2010 by Bill Spitzak and others.
//
// This library is free software. Distribution and use rights are outlined in
// the file "COPYING" which should have been included with this file.  If this
// file is missing or damaged, see the license at:
//
//     http://www.fltk.org/COPYING.php
//
// Please report all bugs and problems on the following page:
//
//     http://www.fltk.org/str.php
//

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Box.H>

class ChildWnd : public Fl_Double_Window {
public:
  ChildWnd(int x, int y, int w, int h, const char *l) : Fl_Double_Window(x, y, w, h, l)
  {
    set_non_modal();

    /*!911 - This seems to cause a CPU core to consume 100% */
    clear_border();
    /*!911 - This seems to cause a CPU core to consume 100% */
    position(x, y);
    label(0);
    resizable(this);
    end(); 
  }
};

int main(int argc, char **argv) {
  Fl_Window *window = new Fl_Window(600,400);
  Fl_Box *box = new Fl_Box(50,200,500,100,"Hello, World!");
  box->box(FL_UP_BOX);
  box->labelfont(FL_BOLD+FL_ITALIC);
  box->labelsize(36);
  box->labeltype(FL_SHADOW_LABEL);

  Fl_Double_Window *child = new ChildWnd(50,50,500,100,"");
  child->color(FL_GREEN);
  child->show();

  window->end();
  window->show(argc, argv);
  return Fl::run();
}

//
// End of "$Id$".
//

